org.eclipse.wst.jsdt.chromium

## Enum JavascriptVm.ExceptionCatchMode

- java.lang.Object
- - java.lang.Enum<JavascriptVm.ExceptionCatchMode>
  - - org.eclipse.wst.jsdt.chromium.JavascriptVm.ExceptionCatchMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JavascriptVm.ExceptionCatchMode>

Enclosing interface:
  JavascriptVm

    public static enum JavascriptVm.ExceptionCatchMode
    extends java.lang.Enum<JavascriptVm.ExceptionCatchMode>

Defines when VM will break on exception throw (before stack unwind happened).

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALL` VM always breaks when exception is being thrown.
`NONE` VM doesn't break when exception is being thrown.
`UNCAUGHT` VM breaks when exception is being thrown without try-catch that is going to catch it.

### Method Summary

All Methods Static Methods Concrete Methods
`static JavascriptVm.ExceptionCatchMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JavascriptVm.ExceptionCatchMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALL

    public static final JavascriptVm.ExceptionCatchMode ALL

VM always breaks when exception is being thrown.

#### UNCAUGHT

    public static final JavascriptVm.ExceptionCatchMode UNCAUGHT

VM breaks when exception is being thrown without try-catch that is going to catch it.

#### NONE

    public static final JavascriptVm.ExceptionCatchMode NONE

VM doesn't break when exception is being thrown.

### Method Detail

#### values

    public static JavascriptVm.ExceptionCatchMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JavascriptVm.ExceptionCatchMode c : JavascriptVm.ExceptionCatchMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JavascriptVm.ExceptionCatchMode valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null